{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:alternatives",
          "children": [
            {
              "type": "minecraft:item",
              "conditions": [
                {
                  "condition": "minecraft:match_tool",
                  "predicate": {
                    "predicates": {
                      "minecraft:enchantments": [
                        {
                          "enchantments": "minecraft:silk_touch",
                          "levels": {
                            "min": 1
                          }
                        }
                      ]
                    }
                  }
                }
              ],
              "name": "minecraft:coal_ore"
            },
            {
              "type": "minecraft:item",
              "name": "cobblestone",
              "conditions": [
                {
                  "condition": "random_chance",
                  "chance": 0.15
                },
                {
                  "condition": "value_check",
                  "value": {
                    "type": "score",
                    "target": "this",
                    "score": "OverlyRealistic.Player.WisdomStats.Mining"
                  },
                  "range": {
                    "max": 1
                  }
                }
              ]
            },
            {
              "type": "minecraft:item",
              "name": "cobblestone",
              "conditions": [
                {
                  "condition": "random_chance",
                  "chance": 0.065
                },
                {
                  "condition": "value_check",
                  "value": {
                    "type": "score",
                    "target": "this",
                    "score": "OverlyRealistic.Player.WisdomStats.Mining"
                  },
                  "range": 2
                }
              ]
            },
            {
              "type": "minecraft:loot_table",
              "value": "overly_realistic:blocks/ore_drops_from_mining_skill/coal_ore"
            }
          ]
        }
      ],
      "rolls": 1
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:dirt",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_model": "minecraft:air",
                "minecraft:custom_data": {
                  "or_no_pickup": true,
                  "or_edited_item": true,
                  "or_no_edit": true,
                  "or_specialized_drop_type": "can_cause_cave_in",
                  "or_is_specialized_drop": true
                }
              }
            }
          ]
        }
      ],
      "conditions": [
        {
          "condition": "minecraft:entity_properties",
          "entity": "this",
          "predicate": {
            "type": "minecraft:player"
          }
        },
        {
          "condition": "inverted",
          "term": {
            "condition": "match_tool",
            "predicate": {
              "predicates": {
                "minecraft:enchantments": [
                  {
                    "enchantments": "minecraft:silk_touch",
                    "levels": {
                      "min": 1
                    }
                  }
                ]
              }
            }
          }
        }
      ]
    }
  ],
  "random_sequence": "minecraft:blocks/coal_ore"
}